window.Gleam.initSearch([{"doc":"glychee","title":"glychee","content":"# glychee\n\n[![Package Version](https://img.shields.io/hexpm/v/glychee)](https://hex.pm/packages/glychee)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/glychee/)\n\nA simple gleam benchmark runner which wraps &lt;https://github.com/bencheeorg/benchee&gt;.\n\n## Quick start\n\n_Notice: Requires at least gleam 0.24 (or gleam 0.0.0-nightly-221019 or later)._\n\nAlso requires elixir and hex to be installed. You might be required to run `mix local.hex` after installing elixir.\n\n1. Add glychee to your project: `gleam add glychee`.\n2. Create a a custom benchmarking module that contains a `main`-function.\n   See `glychee_example_benchmark_module.gleam` as an example.\n   In that module you will define which `Function`s to benchmark with one or many `Data`.\n3. Run the benchmark. `bin/glychee_example_benchmark_call.sh` in this library shows an example on how do do it:\n\n   ```sh\n   erl -pa ./build/dev/erlang/*/ebin -noshell -eval \\\n     &#39;gleam@@main:run(glychee_example_benchmark_module)&#39;;\n   ```\n\n## Installation\n\nIf available on Hex this package can be added to your Gleam project:\n\n```sh\ngleam add glychee\n```\n\nGlychee&#39;s documentation can be found at &lt;https://hexdocs.pm/glychee&gt;.\n","url":"index.html"},{"doc":"glychee/benchmark","title":"Data","content":"pub type Data(data) {\n  Data(label: String, data: data)\n}\n\nData(label: String, data: data)\n\n\nSynonyms:\nglychee/benchmark.Data\nglychee/benchmark Data","url":"glychee/benchmark.html#Data"},{"doc":"glychee/benchmark","title":"Function","content":"pub type Function(test_data, any) {\n  Function(label: String, fun: fn(test_data) -&gt; any)\n}\n\nFunction(label: String, fun: fn(test_data) -&gt; any)\n\n\nSynonyms:\nglychee/benchmark.Function\nglychee/benchmark Function","url":"glychee/benchmark.html#Function"},{"doc":"glychee/benchmark","title":"run","content":"pub fn run(function_sets: List(Function(a, b)), data_sets: List(\n    Data(a),\n  )) -&gt; Nil\n\nSynonyms:\nglychee/benchmark.run\nglychee/benchmark run","url":"glychee/benchmark.html#run"},{"doc":"glychee/benchmark","title":"glychee/benchmark","content":"","url":"glychee/benchmark.html"},{"doc":"glychee_example_benchmark_module","title":"main","content":"pub fn main() -&gt; Nil\n\nSynonyms:\nglychee_example_benchmark_module.main\nglychee_example_benchmark_module main","url":"glychee_example_benchmark_module.html#main"},{"doc":"glychee_example_benchmark_module","title":"glychee_example_benchmark_module","content":"","url":"glychee_example_benchmark_module.html"}]);